![Wyrmx-logo](https://github.com/user-attachments/assets/9aa1ec6b-1e2b-466e-8399-8044c60275c2)


# 🐉 Wyrmx CLI

**Wyrmx CLI** is the official command-line interface for [Wyrmx](https://github.com/Wyrmx) — a blazing-fast, Cython-accelerated, AI-enhanced web framework built on FastAPI.

This CLI lets you scaffold, generate, and manage powerful Wyrmx-based projects using both structured commands and natural language prompts. Whether you're building REST APIs, full-stack apps, or microservices, Wyrmx CLI brings speed, intelligence, and automation to your terminal.

---

## 🚀 Features

- 🧠 **Prompt-to-Code Generation**  
  Generate endpoints, models, and more by simply describing them in natural language.

- ⚙️ **Project Scaffolding**  
  Create full Wyrmx project structures with Cython and FastAPI in seconds.

- 🛠 **Modular Code Generation**  
  Add routes, services, and components via CLI prompts or flags.

- 🔌 **LLM Integration**  
  Connect to OpenAI, Anthropic, Mistral, or local LLMs via API to power code generation.

- 📦 **Build & Deploy**  
  Compile Cython modules, manage environments, and optimize your app for deployment.

